﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using FluentValidation;
using Hotline.Share.Dtos.FlowEngine;

namespace Hotline.Application.Contracts.Validators.FlowEngine
{
    public class NextWorkflowDtoValidator : AbstractValidator<NextWorkflowDto>
    {
        public NextWorkflowDtoValidator()
        {
            Include(new BasicWorkflowDtoValidator());
            RuleFor(d => d.WorkflowId).NotEmpty();
            RuleFor(d => d.Opinion)
                .Cascade(CascadeMode.Stop)
                .NotEmpty()
                .MaximumLength(2000);
            //RuleFor(d=>d.ExpiredTime).NotEmpty();
            //RuleFor(d=>d.NextStepCode).NotEmpty();
        }
    }
}
