﻿using AutoFixture;
using Hotline.Api.Controllers;
using Hotline.Share.Dtos.Order;
using Hotline.Share.Enums.Settings;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.Testing;
using Moq;
using Shouldly;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Application.Tests.Controller;
public class OrderControllerTest : IClassFixture<WebApplicationFactory<Startup>>
{
    private readonly OrderController _orderController;
    private readonly IFixture _fixture;
    private readonly WebApplicationFactory<Startup> _factory;

    public OrderControllerTest(OrderController orderController, WebApplicationFactory<Startup> factory)
    //public OrderControllerTest(HttpClient testClient)
    {
        _fixture = new Fixture();
        _orderController = orderController;
        //_testClient = testClient;
        _factory = factory;
        _orderController.ControllerContext = new ControllerContext
        {
            HttpContext = new DefaultHttpContext()
        };
    }

    [Fact]
    public async Task SendSMS_Test()
    {
        var inDto = _fixture.Create<VisitSmsInDto>();
        await _orderController.VisitPushSMSAsync(inDto);
    }

    [Fact]
    public async Task GetOrderHandleTimeConfigByAcceptType_Test()
    {
        var result = await _orderController.GetOrderHandleTimeConfigByAcceptType(Share.Enums.FlowEngine.EFlowDirection.OrgToCenter, "10");
        result.Count.ShouldBe(1);
        result.TimeText.ShouldBe("1个工作日");
        result.TimeType.ShouldBe(ETimeType.WorkDay);
    }
}
