﻿using Hotline.Share.Enums.Article;
using Hotline.Share.Tools;
using Microsoft.AspNetCore.Mvc;

namespace Hotline.Application.Tools;
public static class StreamExtensions
{
    public static FileStreamResult GetPDFFile(this Stream stream, string fileName = "")
    {
        return stream.GetFileStreamResult(EFileType.pdf, fileName);
    }

    public static FileStreamResult GetExcelFile(this Stream stream, string fileName = "")
    {
        return stream.GetFileStreamResult(EFileType.excel, fileName);
    }

    public static FileStreamResult GetWordFile(this Stream stream,  string fileName = "")
    {
        return stream.GetFileStreamResult(EFileType.word, fileName);
    }

    public static FileStreamResult GetFileStreamResult(this Stream stream, EFileType fileType, string fileName = "")
    {
        var tail = DateTime.Now.ToString("yyyyMMddhhmmss") + fileType.GetFileExtension();
        fileName = fileName.IsNullOrEmpty() ? tail : $"{fileName}_{tail}";
        return new FileStreamResult(stream, fileType.GetContentType())
        {
            FileDownloadName = fileName
        };
    }

}
