﻿using System.ComponentModel;

namespace Hotline.Share.Enums.FlowEngine;

/// <summary>
/// 动态实例化策略
/// </summary>
public enum EDynamicPolicyCountersign
{
    /// <summary>
    /// 直属上级部门（中心作为顶级部门）
    /// </summary>
    [Description("直属上级（中心作为顶级部门）")]
    OrgUpCenterTop = 0,

    /// <summary>
    /// 直属上级（中心作为一级部门）
    /// </summary>
    [Description("直属上级（中心作为一级部门）")]
    OrgUp = 1,

    /// <summary>
    /// 直属下级部门（中心作为顶级部门）
    /// </summary>
    [Description("直属下级（中心作为顶级部门）")]
    OrgDownCenterTop = 2,

    /// <summary>
    /// 直属下级（中心作为一级部门）
    /// </summary>
    [Description("直属下级（中心作为一级部门）")]
    OrgDown = 3,
    /// <summary>
    /// 直属上级部门（中心作为顶级部门）经办人
    /// </summary>
    [Description("直属上级（中心作为顶级部门） 经办人")]
    OrgUpHandleCenterTop = 4,

    /// <summary>
    /// 直属上级（中心作为一级部门）
    /// </summary>
    [Description("直属上级（中心作为一级部门）经办人")]
    OrgUpHandle = 5,

    /// <summary>
    /// 直属上级部门（中心作为顶级部门） 经办人与领导
    /// </summary>
    [Description("直属上级（中心作为顶级部门）经办人与领导")]
    OrgUpLeadCenterTop = 6,

    /// <summary>
    /// 直属上级（中心作为一级部门）经办人与领导
    /// </summary>
    [Description("直属上级（中心作为一级部门）经办人与领导")]
    OrgUpLead = 7,

    /// <summary>
    /// 直达中心
    /// </summary>
    [Description("直达中心")]
    ArriveCenter = 8,

    /// <summary>
    /// 直达一级部门
    /// </summary>
    [Description("直达一级部门")]
    ArriveOneOrg = 9,
}